<?php
/**
 * Plugin tagEditor
 *
 * @package	PLX
 * @author	Stephane F, Thomas Ingles
 **/
class tagEditor extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut utilisée par PluXml
	 * @return	null
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe (obligatoire)
		parent::__construct($default_lang);

		# Déclarations des hooks admin
		if(defined('PLX_ADMIN') AND strpos($_SERVER['PHP_SELF'], 'article.php') !== false){
			$this->addHook('AdminTopEndHead', 'AdminTopEndHead');
			$this->addHook('AdminFootEndBody', 'AdminFootEndBody');
		}
	}

	/**
	 * Méthode qui ajoute l'insertion de la feuille de style dans la partie <head> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function AdminTopEndHead() {
?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.tag-editor.css">
<style>
.tag-editor { width: 100%; display: inline-block; vertical-align: middle; }
.tag-editor li { padding: 4px 0; height: 28px; margin: 0;
.tag-editor .tag-editor-spacer { width: 4px }
}
</style>
<?php
	}

	/**
	 * Méthode qui ajoute l'insertion du javascript dans la partie <body> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function AdminFootEndBody() {
		$this->addJQuery();
?>
<script src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.caret.min.js"></script>
<script src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.tag-editor.min.js"></script>
<script>
	$("#id_tags").tagEditor({forceLowercase:false});
	$("#tags a").click(function(){
		$("#id_tags").tagEditor("addTag", $(this).text());
	});
</script>
<?php
	}

	/**
	 * Méthode qui ajoute l'insertion du javascript dans la partie <head> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function addJQuery() {
?>
<script type="text/javascript">
 //typeof jQuery == 'undefined'
 !window.jQuery && document.write('<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery-3.2.1.min.js"><\/script>');
</script>
<script>
$.ajaxPrefilter(function( options, original_Options, jqXHR ) {
    options.async = true;
});
</script>
<?php
	}
}
